# Rubocop::Ogat

[![Build Status](https://travis-ci.org/Outwood/rubocop-ogat.svg?branch=master)](https://travis-ci.org/Outwood/rubocop-ogat)

Applies the default RuboCop configuration used by OGAT Ruby projects.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rubocop-ogat', require: false, groups: [:test, :development]
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rubocop-ogat

## Usage

Add this to your `.rubocop.yml`:

```yaml
inherit_gem:
  rubocop-ogat:
    - config/default.yml
```

Then define the following as appropriate to the project:

```yaml
AllCops:
  TargetRubyVersion: 2.4
  TargetRailsVersion: 4.2
Rails:
  Enabled: true
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/outwood/rubocop-ogat.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
