# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "rubocop/ogat/version"

Gem::Specification.new do |spec|
  spec.name = "rubocop-ogat"
  spec.version = Rubocop::Ogat::VERSION
  spec.authors = ["Elliot Bowes", "Tom Crouch"]
  spec.email = ["webmaster@outwood.com"]

  spec.summary = "Default RuboCop configuration for OGAT Ruby projects"
  spec.homepage = "https://github.com/Outwood/rubocop-ogat"
  spec.license = "MIT"

  spec.files =
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop-rails", "2.11.3"
  spec.add_development_dependency "rubocop-rspec", "2.4.0"
  spec.add_development_dependency "standard", "1.1.7"
  spec.add_runtime_dependency "rubocop-minitest", "0.14.0"
  spec.add_runtime_dependency "rubocop-rails", "2.11.3"
  spec.add_runtime_dependency "rubocop-rspec", "2.4.0"
  spec.add_runtime_dependency "standard", "1.1.7"
  spec.add_runtime_dependency "test-prof", "1.0.6"
end
